import { cloneElement, forwardRef } from 'react';
import cx from 'classnames';
import PropTypes from 'prop-types';
import useMergeRefs from '@s-ui/react-hooks/lib/useMergeRefs';
import { getChildrenAsReactNode } from './config.js';
var TooltipExtendChildren = /*#__PURE__*/forwardRef(function (props, forwardedRef) {
  var childrenOnly = getChildrenAsReactNode(props.children);
  var className = childrenOnly.props.className,
    ref = childrenOnly.ref;
  return /*#__PURE__*/cloneElement(childrenOnly, {
    className: cx(className, props.className),
    ref: useMergeRefs(ref, forwardedRef)
  });
});
export default TooltipExtendChildren;